# class SyntaxError

Raised when encountering Ruby code with an invalid syntax.

    eval("1+1=2")

raises the exception:

    SyntaxError: (eval):1: syntax error, unexpected '=', expecting $end

### Attributes

path [R]

the path that failed to parse

### Public Class Methods

new([msg]) → syntax_error
Source

    static VALUE
    syntax_error_initialize(int argc, VALUE *argv, VALUE self)
    {
        VALUE mesg;
        if (argc == 0) {
            mesg = rb_fstring_lit("compile error");
            argc = 1;
            argv = &mesg;
        }
        return rb_call_super(argc, argv);
    }

Construct a `SyntaxError` exception.